From e0d261ba2b031c9a8339f4561d6781519173b405 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 11 2020 23:53:23 +0000
Subject: [PATCH 1363/2232] typename -> class to fix macOS and MSVC


---

diff --git a/demo/src/blobstore.cc b/demo/src/blobstore.cc
index a75affc..3b56d86 100644
--- a/demo/src/blobstore.cc
+++ b/demo/src/blobstore.cc
@@ -22,7 +22,7 @@ class BlobstoreClient::impl {
   std::unordered_map<uint64_t, Blob> blobs;
 };
 
-BlobstoreClient::BlobstoreClient() : impl(new typename BlobstoreClient::impl) {}
+BlobstoreClient::BlobstoreClient() : impl(new class BlobstoreClient::impl) {}
 
 // Upload a new blob and return a blobid that serves as a handle to the blob.
 uint64_t BlobstoreClient::put(MultiBuf &buf) const {

